---

apiVersion: apps/v1
kind: Deployment
metadata:
  name: logsect
  labels:
    k8s-app: logsect
spec:
  selector:
    matchLabels:
      k8s-app: logsect
  replicas: 2
  template:
    metadata:
      labels:
        k8s-app: logsect
    spec:
      containers:
        - name: logsect
          image: docker-registry.zooxlabs.com/logsect:7
          resources:
            requests:
              cpu: 1
              memory: 256Mi
          ports:
            - containerPort: 80

---

apiVersion: v1
kind: Service
metadata:
  name: logsect
  labels:
    k8s-app: logsect
spec:
  ports:
    - port: 80
  selector:
    k8s-app: logsect

---

apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: logsect
  annotations:
    external-dns.alpha.kubernetes.io/target: sun-z8s-vip-1.zooxlabs.com
spec:
  tls:
    - hosts:
        - logsect.z8s.zooxlabs.com
        - logsect.zooxlabs.com
  rules:
    - host: logsect.z8s.zooxlabs.com
      http:
        paths:
          - backend:
              serviceName: logsect
              servicePort: 80
    - host: logsect.zooxlabs.com
      http:
        paths:
          - backend:
              serviceName: logsect
              servicePort: 80
